Bug 1527681 - [RFE][M-5] Consolidated chargeback report in global region for same tenant name across multiple subregions
Summary: [RFE][M-5] Consolidated chargeback report in global region for same tenant na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: MVP
: 5.10.0
Assignee: Libor Pichler
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2017-12-19 21:58 UTC by tachoi
Modified: 2019-02-07 23:00 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:52 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description tachoi 2017-12-19 21:58:40 UTC
Description of problem:
- Having multi sub regions in environment, All subregions and Master region should be operated for organisation "A", tenant "A".
- Wanted to have single (global) chargeback report covering items from all sub-regions but realised it is not possible. When it is selected at Chargeback Filters "A" in tenant(or Enterprise), report output contained data from only one sub region.
- Had to rename Organization & Tenant at all subregions and at Master region create standalone chargeback report for each sub-region. As a result, instead of one single chargeback report, currently running multiple reports per subregion individually.

Version-Release number of selected component (if applicable):
- CFME 5.8

How reproducible:
- In multiple sub regions and global region CFME environment
- Set all organization and tenant name to "A" in all global and subregions.
- Create Chargeback report for tenant(or Enterprise)

Steps to Reproduce:
1.
2.
3.

Actual results:
- Chargeback report is showing only one of subregion item info 

Expected results:
- Chargeback report is showing consolidated items info for the tenant name across subregions.

Additional info:

Comment 7 Loic Avenel 2018-01-07 16:14:40 UTC
Requirement can be translated in: Grouping Reports by Tenant at Global Region

Comment 11 Tasos Papaioannou 2018-07-12 15:41:43 UTC
Verified on 5.10.0.3.

Comment 12 errata-xmlrpc 2019-02-07 23:00:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.